
<!DOCTYPE HTML>
<html lang="" >
    <head>
        <meta charset="UTF-8">
        <meta content="text/html; charset=utf-8" http-equiv="Content-Type">
        <title>Reconnaissance · NexMaker-Fab</title>
        <meta http-equiv="X-UA-Compatible" content="IE=edge" />
        <meta name="description" content="">
        <meta name="generator" content="GitBook 3.2.3">
        
        
        
    
    <link rel="stylesheet" href="../../../gitbook/style.css">

    
            
                
                <link rel="stylesheet" href="../../../gitbook/gitbook-plugin-chapter-fold/chapter-fold.css">
                
            
                
                <link rel="stylesheet" href="../../../gitbook/gitbook-plugin-back-to-top-button/plugin.css">
                
            
                
                <link rel="stylesheet" href="../../../gitbook/gitbook-plugin-splitter/splitter.css">
                
            
                
                <link rel="stylesheet" href="../../../gitbook/gitbook-plugin-pageview-count/plugin.css">
                
            
                
                <link rel="stylesheet" href="../../../gitbook/gitbook-plugin-highlight/website.css">
                
            
                
                <link rel="stylesheet" href="../../../gitbook/gitbook-plugin-search/search.css">
                
            
                
                <link rel="stylesheet" href="../../../gitbook/gitbook-plugin-fontsettings/website.css">
                
            
        

    

    
        
    
        
    
        
    
        
    
        
    
        
    

        
    
    
    <meta name="HandheldFriendly" content="true"/>
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=no">
    <meta name="apple-mobile-web-app-capable" content="yes">
    <meta name="apple-mobile-web-app-status-bar-style" content="black">
    <link rel="apple-touch-icon-precomposed" sizes="152x152" href="../../../gitbook/images/apple-touch-icon-precomposed-152.png">
    <link rel="shortcut icon" href="../../../gitbook/images/favicon.ico" type="image/x-icon">

    
    <link rel="next" href="../../../projets/phishing/phishing.html" />
    
    
    <link rel="prev" href="../redteam.html" />
    

    </head>
    <body>
        
<div class="book">
    <div class="book-summary">
        
            
<div id="book-search-input" role="search">
    <input type="text" placeholder="Type to search" />
</div>

            
                <nav role="navigation">
                


<ul class="summary">
    
    

    

    
        
        <li class="header">Welcome</li>
        
        
    
        <li class="chapter " data-level="1.1" data-path="../../../">
            
                <a href="../../../">
            
                    
                    Introduction
            
                </a>
            

            
        </li>
    

    
        
        <li class="header">Veille</li>
        
        
    
        <li class="chapter " data-level="2.1" data-path="../../cloud/cloud.html">
            
                <a href="../../cloud/cloud.html">
            
                    
                    Cloud
            
                </a>
            

            
            <ul class="articles">
                
    
        <li class="chapter " data-level="2.1.1" data-path="../../cloud/aws/introduction.html">
            
                <a href="../../cloud/aws/introduction.html">
            
                    
                    AWS
            
                </a>
            

            
            <ul class="articles">
                
    
        <li class="chapter " data-level="2.1.1.1" data-path="../../cloud/aws/introduction.html">
            
                <a href="../../cloud/aws/introduction.html">
            
                    
                    Introduction
            
                </a>
            

            
        </li>
    

            </ul>
            
        </li>
    
        <li class="chapter " data-level="2.1.2" data-path="../../cloud/azure/introduction.html">
            
                <a href="../../cloud/azure/introduction.html">
            
                    
                    Azure
            
                </a>
            

            
            <ul class="articles">
                
    
        <li class="chapter " data-level="2.1.2.1" data-path="../../cloud/aws/introduction.html">
            
                <a href="../../cloud/aws/introduction.html">
            
                    
                    Introduction
            
                </a>
            

            
        </li>
    

            </ul>
            
        </li>
    

            </ul>
            
        </li>
    
        <li class="chapter " data-level="2.2" data-path="../../artificial_intelligence/artificial_intelligence.html">
            
                <a href="../../artificial_intelligence/artificial_intelligence.html">
            
                    
                    IA / ML
            
                </a>
            

            
            <ul class="articles">
                
    
        <li class="chapter " data-level="2.2.1" data-path="../../artificial_intelligence/ia_activites_malveillantes.html">
            
                <a href="../../artificial_intelligence/ia_activites_malveillantes.html">
            
                    
                    Usages pour activités malveillantes
            
                </a>
            

            
        </li>
    

            </ul>
            
        </li>
    
        <li class="chapter " data-level="2.3" data-path="../redteam.html">
            
                <a href="../redteam.html">
            
                    
                    Red Team
            
                </a>
            

            
            <ul class="articles">
                
    
        <li class="chapter active" data-level="2.3.1" data-path="reconnaissance.html">
            
                <a href="reconnaissance.html">
            
                    
                    Reconnaissance
            
                </a>
            

            
        </li>
    

            </ul>
            
        </li>
    

    
        
        <li class="header">Projets d'études</li>
        
        
    
        <li class="chapter " data-level="3.1" data-path="../../../projets/phishing/phishing.html">
            
                <a href="../../../projets/phishing/phishing.html">
            
                    
                    Phishing
            
                </a>
            

            
        </li>
    

    

    <li class="divider"></li>

    <li>
        <a href="https://www.gitbook.com" target="blank" class="gitbook-link">
            Published with GitBook
        </a>
    </li>
</ul>


                </nav>
            
        
    </div>

    <div class="book-body">
        
            <div class="body-inner">
                
                    

<div class="book-header" role="navigation">
    

    <!-- Title -->
    <h1>
        <i class="fa fa-circle-o-notch fa-spin"></i>
        <a href="../../.." >Reconnaissance</a>
    </h1>
</div>




                    <div class="page-wrapper" tabindex="-1" role="main">
                        <div class="page-inner">
                            
<div id="book-search-results">
    <div class="search-noresults">
    
                                <section class="normal markdown-section">
                                
                                <h1 id="veille-reconnaissance-externe">Veille Reconnaissance externe</h1>
<p>[TOC]</p>
<h2 id="introduction">Introduction</h2>
<h3 id="d&#xE9;finition">D&#xE9;finition</h3>
<p>La phase de reconnaissance est g&#xE9;n&#xE9;ralement l&apos;<strong>une des premi&#xE8;res actions pendant une op&#xE9;ration Red Team</strong>. </p>
<p>Ci-dessous un sch&#xE9;ma reprenant les grandes &#xE9;tapes de ce type de mission. </p>
<p><img src="img/Intrusion_Kill_Chain_-_v2.png" alt="undefined"></p>
<p>Au-del&#xE0; d&apos;&#xEA;tre la premi&#xE8;re &#xE9;tape, la reconnaissance est une <strong>&#xE9;tape cl&#xE9;</strong> dans une op&#xE9;ration de red team. Elle consiste &#xE0; <strong>recueillir des informations sur la cible ou l&apos;environnement &#xE0; cibler afin de mieux comprendre sa structure, ses vuln&#xE9;rabilit&#xE9;s et ses syst&#xE8;mes</strong>. Les red teamers peuvent utiliser diverses techniques pour recueillir ces informations, telles que l&apos;analyse de documents publics, la recherche de vuln&#xE9;rabilit&#xE9;s connues, la collecte d&apos;informations sur les r&#xE9;seaux sociaux ou les forums en ligne, etc.</p>
<p>Cette &#xE9;tape est cruciale car elle permet &#xE0; la red team de mieux comprendre les syst&#xE8;mes et les processus de l&apos;entreprise cibl&#xE9;e, ce qui peut aider &#xE0; identifier les vuln&#xE9;rabilit&#xE9;s et les points faibles qui pourraient &#xEA;tre exploit&#xE9;s lors d&apos;une attaque. Cela peut &#xE9;galement aider la red team &#xE0; comprendre comment les d&#xE9;fenses de l&apos;entreprise peuvent &#xEA;tre contourn&#xE9;es ou &#xE9;vit&#xE9;es.</p>
<p>En r&#xE9;sum&#xE9;, l&apos;&#xE9;tape de reconnaissance est essentielle pour une op&#xE9;ration de red team r&#xE9;ussie, car elle fournit des <strong>informations pr&#xE9;cieuses qui peuvent aider &#xE0; planifier et &#xE0; ex&#xE9;cuter une attaque efficace</strong>.</p>
<h3 id="cat&#xE9;gories-de-reconnaissance">Cat&#xE9;gories de reconnaissance</h3>
<p>&#xC0; noter que la reconnaissance peut &#xEA;tre divis&#xE9;e en <strong>deux grandes cat&#xE9;gories</strong> : la <strong>reconnaissance passive</strong> et la <strong>reconnaissance active</strong>:</p>
<p>- reconnaissance passive : n&apos;interagissant pas directement avec la cible (que ce soit l&apos;infrastructure ou les personnes);
<em>exemple:</em> en utilisant un moteur de recherche pour se renseigner sur les activit&#xE9;s de l&apos;entreprise.</p>
<p>- reconnaissance active : sondage des infrastructures et des personnes, reconnaissances des ports et services expos&#xE9;s, d&#xE9;couvertes des sites web et des vuln&#xE9;rabilit&#xE9;s potentiellement pr&#xE9;sentes.
<em>exemple:</em> v&#xE9;rifier sur un serveur appartenant &#xE0; l&apos;entreprise si un port est ouvert ou non</p>
<p><em>NB: On d&#xE9;marre essentiellement avec une reconnaissance passive puis on passe &#xE0; de la reconnaissance active uniquement si n&#xE9;cessaire.</em></p>
<h3 id="type-de-donn&#xE9;es-collect&#xE9;es">Type de donn&#xE9;es collect&#xE9;es</h3>
<h4 id="reconnaissance-passive">Reconnaissance Passive</h4>
<ul>
<li><p>Moteurs de recherche : Google, Bing, Yandex, Archives</p>
<p>Point d&apos;entr&#xE9;e pour obtenir de nombreuses informations de toutes natures mais aussi pour filtrer sur les r&#xE9;sultats.</p>
</li>
</ul>
<ul>
<li>R&#xE9;seaux sociaux (Perso / Pro) : Facebook, Twitter, Instagram, Snapchat, Linkedin, Google Networks</li>
</ul>
<p>&#x200B;    Veille des r&#xE9;seaux sociaux pour se renseigner sur les employ&#xE9;s mais aussi sur la structure. </p>
<ul>
<li>Communaut&#xE9;s en ligne : Blogs, Forums tech, Reddit, Discord</li>
</ul>
<p>Veille sur les sites techniques o&#xF9; les collaborateurs aurait pu publier des informations techniques pertinentes. </p>
<ul>
<li><p>Adresses emails</p>
<ul>
<li>adresses professionnelles valides</li>
<li>&#xE0; d&#xE9;faut nomenclature employ&#xE9;e</li>
</ul>
</li>
</ul>
<p>Obtention des adresses mails des collaborateurs ou identification du pattern utilis&#xE9;. </p>
<ul>
<li>Nom utilisateurs / identifiants pro</li>
</ul>
<p>Identifier des noms d&apos;utilisateurs valides pour se connecter &#xE0; des services pr&#xE9;cis de l&apos;entreprise. </p>
<ul>
<li>Moteurs de recherches pour personnes</li>
</ul>
<p>Veille des moteurs de recherches d&#xE9;di&#xE9;s aux personnes pour centraliser des donn&#xE9;es personnelles, tel que num&#xE9;ro de t&#xE9;l&#xE9;phone ou adresses. </p>
<ul>
<li>Num&#xE9;ros de t&#xE9;l&#xE9;phone</li>
</ul>
<p>Identifier des num&#xE9;ros de t&#xE9;l&#xE9;phones d&apos;employ&#xE9;s, peut &#xEA;tre particuli&#xE8;rement utile pour les fraudes au pr&#xE9;sident. </p>
<ul>
<li>Online Maps</li>
</ul>
<p>Identifier le lieu g&#xE9;ographique et les syst&#xE8;mes de protection en place (ex:cam&#xE9;ra)</p>
<ul>
<li>Documents  / Images / Videos</li>
</ul>
<p>Au del&#xE0; des informations sensibles qu&apos;ils peuvent contenir, on peut s&#x2019;int&#xE9;resser &#xE0; l&apos;ensemble des m&#xE9;ta data. </p>
<ul>
<li>Nom de domaines</li>
</ul>
<p>Retrouver l&apos;ensemble des domaines et sous-domaines, ainsi que tous les informations les concernant.</p>
<ul>
<li>Adresses Ip</li>
</ul>
<p>Retrouver l&apos;ensemble des IPs appartenant &#xE0; la cible, ainsi que tous les informations les concernant.</p>
<ul>
<li>Documents administratifs et commerciaux</li>
</ul>
<p>Trouver des informations financi&#xE8;res et administratives sur la structure pour comprendre &#xE0; qui nous avons &#xE0; faire. </p>
<ul>
<li>Fuites de donn&#xE9;es</li>
</ul>
<p>Rechercher dans les leaks des comptes fonctionnels, mais aussi toutes autres informations utiles. </p>
<h4 id="reconnaissance-active">Reconnaissance Active</h4>
<ul>
<li><p>DNS</p>
<ul>
<li>Transfert de zone</li>
<li>Reverse</li>
<li>Bruteforce </li>
</ul>
</li>
<li><p>Ping sweep and ports scanning</p>
<ul>
<li>Service and Os enumeration</li>
</ul>
</li>
<li><p>SNMP sweep</p>
</li>
<li><p>SMTP bounce back</p>
</li>
<li><p>&#xC9;num&#xE9;ration des services / D&#xE9;couverte des OS</p>
</li>
<li><p>Sites webs</p>
<ul>
<li>Composants et versions</li>
<li>Certificats</li>
<li>Crawling</li>
<li>Panel</li>
</ul>
</li>
</ul>
<h2 id="effectuer-une-reconnaissance">Effectuer une reconnaissance</h2>
<p>Nous nous int&#xE9;ressons dans cette section uniquement &#xE0; la m&#xE9;thodologie qui peut &#xEA;tre appliqu&#xE9;e pour la reconnaissance active et en particulier &#xE0; la cartographie des actifs d&apos;un SI et aux moyens qui peuvent &#xEA;tre mis en &#x153;uvre pour les cartographier. </p>
<h3 id="asn">ASN</h3>
<p><u>Objectif :</u> identifier une ou des plage(s) d&apos;adresses ip d&#xE9;di&#xE9;es. </p>
<p>Un num&#xE9;ro de syst&#xE8;me autonome (ASN) est un num&#xE9;ro unique attribu&#xE9; &#xE0; un syst&#xE8;me autonome (AS) par l&apos;Internet Assigned Numbers Authority (IANA).</p>
<p>Un AS est constitu&#xE9; de blocs d&apos;adresses IP qui ont une politique d&apos;acc&#xE8;s aux r&#xE9;seaux externes bien d&#xE9;finie et sont administr&#xE9;s par une seule organisation mais peuvent &#xEA;tre compos&#xE9;s de plusieurs op&#xE9;rateurs. Il est donc int&#xE9;ressant de savoir si l&apos;entreprise cibl&#xE9;e dispose d&apos;un ASN.</p>
<p>Il est possible d&apos; effectuer une recherche par nom d&apos;entreprise, par adresse IP ou par domaine sur <a href="https://bgp.he.net/" target="_blank">https://bgp.he.net/</a>.</p>
<p>Selon la r&#xE9;gion de l&apos;entreprise, ces liens peuvent &#xEA;tre utiles pour recueillir plus de donn&#xE9;es : <a href="https://www.afrinic.net/" target="_blank">AFRINIC</a> (Afrique), <a href="https://www.arin.net/about/welcome/region/" target="_blank">Arin</a> (Am&#xE9;rique du Nord), <a href="https://www.apnic.net/" target="_blank">APNIC</a> (Asie), <a href="https://www.lacnic.net/" target="_blank">LACNIC</a> (Am&#xE9;rique latine), <a href="https://www.ripe.net/" target="_blank">RIPE NCC</a> (Europe).</p>
<p>Vous pouvez trouver les plages d&apos;adresses IP d&apos;une organisation en utilisant &#xE9;galement <a href="http://asnlookup.com/" target="_blank">http://asnlookup.com/</a> (il a une API gratuite).</p>
<p>Ci-dessous un exemple pour la soci&#xE9;t&#xE9; Gatewatcher et la soci&#xE9;t&#xE9; Ubisoft :</p>
<p><strong>Gatewatcher</strong></p>
<pre><code class="lang-bash">https://bgp.he.net/ --&gt; 0 results
https://www.ripe.net/ --&gt; 0 results
</code></pre>
<p><strong><em>TIPS :</em></strong> si pas d&apos;ASN, un premier point d&apos;entr&#xE9;e peut &#xEA;tre de s&#x2019;int&#xE9;resser au site vitrine de la soci&#xE9;t&#xE9;, et de r&#xE9;soudre le nom de domaine ainsi que de faire un whois pour collecter quelques premi&#xE8;res informations. </p>
<pre><code class="lang-bash">nslookup gatewatcher.com 8.8.8.8

Server:        8.8.8.8
Address:    8.8.8.8<span class="hljs-comment">#53</span>

Non-authoritative answer:
Name:    gatewatcher.com
Address: 104.19.154.92
</code></pre>
<p><strong>Ubisoft</strong></p>
<pre><code>https://bgp.he.net/

Result    Description
ubisoft    
AS8361    Ubisoft International SASFrance
AS55743    UBISOFT EntertainmentHong Kong
AS49078    SC UBISOFT SRLRomania
AS28759    Ubisoft GmbHGermany
AS22634    Ubisoft EntertainmentCanada
AS131553    Ubisoft ChengduChina
AS131484    Ubisoft ShanghaiChina
2a04:7140:21::/48    Ubisoft International SASFrance
2406:d140:8000::/34    Ubisoft ShanghaiChina
216.98.48.0/20    Ubisoft EntertainmentCanada
212.104.205.0/24    Ubisoft International SASFrance
212.104.204.0/24    Ubisoft International SASFrance
212.104.202.0/24    Ubisoft International SASFrance
212.104.201.0/24    Ubisoft International SASFrance
212.104.200.0/24    Ubisoft International SASFrance
212.104.192.0/20    Ubisoft International SASFrance
195.88.183.0/24    SC UBISOFT SRLRomania
195.88.182.0/24    SC UBISOFT SRLRomania
195.22.144.0/23    Ubisoft International SASFrance
194.2.155.0/24    Ubisoft International SASFrance
194.169.249.0/24    Ubisoft International SASFrance
193.138.66.0/24    Ubisoft GmbHGermany
185.38.20.0/22    Ubisoft International SASFrance
130.254.86.0/23    Ubisoft EntertainmentCanada
130.254.84.0/23    Ubisoft EntertainmentCanada
130.254.82.0/23    Ubisoft EntertainmentCanada
130.254.80.0/23    Ubisoft EntertainmentCanada
130.254.64.0/19    Ubisoft EntertainmentCanada
103.159.122.0/23    Ubisoft ShanghaiChina
</code></pre><p>De nombreux ASN ont pu &#xEA;tre identifi&#xE9;s.</p>
<h3 id="domaines">Domaines</h3>
<p><u>Objectifs :</u>  rechercher le ou les <strong>domaines principaux</strong> de chaque entreprise cibl&#xE9;e. </p>
<h4 id="reverse-dns">Reverse DNS</h4>
<p>Dans l&apos;hypoth&#xE8;se o&#xF9; nous avez trouv&#xE9; toutes les plages d&apos;adresses IP appartenant &#xE0; l&apos;entreprise, nous pouvons essayer d&apos;effectuer <strong>des recherches DNS invers&#xE9;es</strong> sur ces <strong>adresses IP pour trouver plus de domaines</strong> .  Nous pouvons utiliser un serveur DNS appartenant &#xE0; la victime ou un serveur DNS bien connu (ex: 8.8.8.8).</p>
<p>Pour que cela fonctionne, l&apos;administrateur doit activer manuellement le PTR. Vous pouvez &#xE9;galement utiliser un outil en ligne pour cette information : <a href="http://ptrarchive.com/" target="_blank">http://ptrarchive.com/</a>.</p>
<pre><code class="lang-bash">dnsrecon -r &lt;DNS Range&gt; -n &lt;IP_DNS&gt;   <span class="hljs-comment">#DNS reverse of all of the addresses</span>
dnsrecon -r 185.45.4.0/24 -n 8.8.8.8 <span class="hljs-comment">#Using google dns</span>
</code></pre>
<p>Ci-dessous un exemple avec Ubisoft :</p>
<p><em>NB : Nous ne pouvons pas le faire pour Gatewatcher car nous n&apos;avons pas identifier de range d&apos;ips.</em> </p>
<pre><code class="lang-bash">H@ckila 
[~/TOOLS/dnsrecon] (master) &#x1F985; &#x276F;&#x276F;  dnsrecon -r 185.38.20.0/22 -n 8.8.8.8      
./dnsrecon.py:292: DeprecationWarning: please use dns.resolver.Resolver.resolve() instead
  answers = res.query(<span class="hljs-built_in">test</span>_name, record_<span class="hljs-built_in">type</span>, tcp=True)
[*] Reverse Look-up of a Range
[*] Performing Reverse Lookup from 185.38.20.0 to 185.38.23.255
[*]      PTR lb-prod-tc-pdc-detect02.ubisoft.com 185.38.20.87
[*]      PTR lb-prod-tc-pdc-traversal01.ubisoft.com 185.38.20.86
[*]      PTR lb-prod-tc-pdc-detect01.ubisoft.com 185.38.20.86
[*]      PTR mail.panzergeneral.com 185.38.20.159
[*]      PTR staging.massive.se 185.38.20.162
[*]      PTR pdc-lb-rdv-prod02.ubisoft.com 185.38.21.5
[*]      PTR lb-uat-traversal01.ubisoft.com 185.38.21.8
[*]      PTR lb-uat-detect01.ubisoft.com 185.38.21.8
[*]      PTR lb-prod-tc2-traversal01.ubisoft.com 185.38.21.8
[*]      PTR lb-prod-tc2-detect01.ubisoft.com 185.38.21.8
[*]      PTR lb-prod-tc2-detect02.ubisoft.com 185.38.21.9
[*]      PTR lb-uat-detect02.ubisoft.com 185.38.21.9
[*]      PTR lb-pdc-rdv-uat.ubisoft.com 185.38.21.16
[*]      PTR forums-emea.ubisoft.com 185.38.21.25
[*]      PTR lb-rdv-tgt-pdc-uat.ubisoft.com 185.38.21.30
[*]      PTR lb-pdc-r6.ubisoft.com 185.38.21.39
[*]      PTR pdc-onl-mail-out04.ubisoft.com 185.38.21.53
[*]      PTR pdc-onl-mail-out02.ubisoft.com 185.38.21.51
[*]      PTR pdc-onl-mail-out06.ubisoft.com 185.38.21.55
[*]      PTR pdc-onl-mail-out05.ubisoft.com 185.38.21.54
[*]      PTR pdc-onl-mail-out03.ubisoft.com 185.38.21.52
[*]      PTR pdc-vm-rdv01.ubisoft.com 185.38.21.80
[*]      PTR pdc-vm-rdv02.ubisoft.com 185.38.21.81
[*]      PTR pdc-vm-rdv04.ubisoft.com 185.38.21.83
[*]      PTR pdc-vm-rdv03.ubisoft.com 185.38.21.82
[*]      PTR pdc-vm-rdv05.ubisoft.com 185.38.21.84
[*]      PTR pdc-vm-rdv06.ubisoft.com 185.38.21.85
[*]      PTR pdc-dmz-ras08.vpn.ubisoft.com 185.38.21.196
[*]      PTR pdc-dmz-ras09.vpn.ubisoft.com 185.38.21.197
[*]      PTR emea-partner.vpn.ubisoft.com 185.38.21.198
[*]      PTR emea.vpn.ubisoft.com 185.38.21.198
[*]      PTR pdc-dmz-ras06.vpn.ubisoft.com 185.38.21.199
[*]      PTR pdc-dmz-ras07.vpn.ubisoft.com 185.38.21.200
[*]      PTR pdc-dmz-ras01.vpn.ubisoft.com 185.38.21.201
[+] 34 Records Found
</code></pre>
<p>Une capture est disponible <a href="#reverse-dns">ici</a>. </p>
<h4 id="reverse-whois">Reverse Whois</h4>
<p>&#xC0; l&apos;int&#xE9;rieur d&apos;un <strong>whois</strong> , nous pouvons trouver de nombreuses <strong>informations int&#xE9;ressantes</strong> telles que <strong>le nom de l&apos;organisation</strong> , <strong>l&apos;adresse</strong> , <strong>les e-mails</strong> , les num&#xE9;ros de t&#xE9;l&#xE9;phone, etc. Mais ce qui est encore plus int&#xE9;ressant, c&apos;est que nous pouvons trouver <strong>plus d&apos;actifs li&#xE9;s &#xE0; une entreprise</strong> . Si nous effectuons <strong>des recherches whois invers&#xE9;es par l&apos;un des ces champs</strong> (par exemple d&apos;autres registres whois o&#xF9; le m&#xEA;me e-mail appara&#xEE;t). Nous pouvons utiliser des outils en ligne comme :</p>
<ul>
<li><a href="https://viewdns.info/reversewhois/" target="_blank">https://viewdns.info/reversewhois/</a> - <strong>Gratuit</strong></li>
<li><a href="https://domaineye.com/reverse-whois" target="_blank">https://domaineye.com/reverse-whois</a> - <strong>Gratuit</strong></li>
<li><a href="https://www.reversewhois.io" target="_blank">https://www.reversewhois.io/</a> - <strong>Gratuit</strong></li>
<li><a href="https://www.whoxy.com" target="_blank">https://www.woxy.com/</a> - Web <strong>gratuit , pas d&apos;API gratuite.</strong></li>
<li><a href="http://reversewhois.domaintools.com" target="_blank">http://reversewhois.domaintools.com/</a> - Pas gratuit</li>
<li><a href="https://drs.whoisxmlapi.com/reverse-whois-search" target="_blank">https://drs.whoisxmlapi.com/reverse-whois-search</a> - Pas gratuit (seulement <strong>100</strong> recherches gratuites)</li>
<li><a href="https://www.domainiq.com" target="_blank">https://www.domainiq.com/</a> - Pas gratuit</li>
</ul>
<p>Il est possible d&apos;automatiser cette t&#xE2;che &#xE0; l&apos;aide de <a href="https://github.com/vysecurity/DomLink" target="_blank"><strong>DomLink</strong> </a> (n&#xE9;cessite une cl&#xE9; API whoxy)</p>
<p>Il est &#xE9;galement possible d&apos;effectuer cette d&#xE9;couverte whois invers&#xE9;e automatique avec <a href="https://github.com/OWASP/Amass" target="_blank">amass</a> :</p>
<pre><code class="lang-bash">H@ckila 
[~/Documents/VEILLE/RECONNAISSANCE] &#x1F985; &#x276F;&#x276F;  docker run -v OUTPUT_DIR_PATH:/.config/amass/ caffix/amass intel <span class="hljs-_">-d</span> gatewatcher.com -whois
performive.com
properties.live
garagegymproducts.com
800goldlaw.com
cavonispizza.com
shipshewanaontheroad.com
getterfarms.com
zupreem.com
earlyedstation.com
elixircreative.com
pimpleprincess.com
buyexpireds.com
heritagedefense.org
rocket.net
icycanada.com
icytales.com
autumntrailsvet.com
ncinjurylawyer.net
fitdadchris.com
icondentalcenter.com
kerrypicket.com
kcbellanapoli.com
therichvaldes.com
motegahealth.com
twodot.marketing
thegreggjarrett.com
hannity.com
thejeffreylord.com
growdigitally.com
m3mediamanagement.com
dealvwant.com
accessiblevacations.org
jntechnix.com
newburgfirerescue.com
</code></pre>
<blockquote>
<p>Chaque fois qu&apos;un nouveau nom de domaine est identifi&#xE9; cette recherche doit &#xEA;tre effectu&#xE9;e. </p>
</blockquote>
<h4 id="trackeurs">Trackeurs</h4>
<p>Si l&apos;on trouve le <strong>m&#xEA;me ID du m&#xEA;me tracker</strong> sur 2 pages diff&#xE9;rentes nous pouvons supposer que <strong>les deux pages</strong> sont <strong>g&#xE9;r&#xE9;es par la m&#xEA;me &#xE9;quipe</strong>. Par exemple, si vous voyez le m&#xEA;me <strong>identifiant Google Analytics</strong> ou le m&#xEA;me <strong>identifiant Adsense</strong> sur plusieurs pages.</p>
<p>Il existe des pages et des outils qui permettent d&apos;effectuer cette recherche  :</p>
<ul>
<li><strong><a href="https://github.com/dhn/udon" target="_blank">Udon</a></strong></li>
<li><u><strong><a href="https://builtwith.com" target="_blank">BuiltWith</a></strong></u></li>
<li><u><strong><a href="https://www.sitesleuth.io" target="_blank">Sitesleuth</a></strong></u></li>
<li><u><strong><a href="https://publicwww.com" target="_blank">Publicwww</a></strong></u></li>
<li><u><strong><a href="http://spyonweb.com" target="_blank">SpyOnWeb</a></strong></u></li>
</ul>
<h4 id="favicon"><strong>Favicon</strong></h4>
<p>Il est possible de retrouver des domaines ou des sous-domaines li&#xE9;s &#xE0; une cible en recherchant le m&#xEA;me hash de favicon. </p>
<p>L&apos;outil ]<a href="">favihash</a> (<a href="https://github.com/m4ll0k/BBTz/blob/master/favihash.py" target="_blank">https://github.com/m4ll0k/BBTz/blob/master/favihash.py</a>) permet notamment de faire &#xE7;a. </p>
<p>Il est &#xE9;galement possible de s&apos;appuyer sur shodan pour faire une recherche par favicon. </p>
<h4 id="copyright">Copyright</h4>
<p>Recherchez des cha&#xEE;nes de caract&#xE8;res dans les pages Web qui pourraient &#xEA;tre partag&#xE9;es entre diff&#xE9;rents sites Web au sein de la m&#xEA;me organisation. </p>
<p>La <strong>cha&#xEE;ne de copyright</strong> pourrait &#xEA;tre un bon exemple. On peut ensuite effectuer une recherche via les moteurs de recherche ou sur shodan. </p>
<h4 id="crt-time">CRT Time</h4>
<p><a href="https://swarm.ptsecurity.com/discovering-domains-via-a-time-correlation-attack/" target="_blank">https://swarm.ptsecurity.com/discovering-domains-via-a-time-correlation-attack/</a></p>
<h3 id="sous-domaines">Sous domaines</h3>
<p><u>Objectifs :</u>  rechercher tous les sous-domaines possibles de chaque domaine trouv&#xE9;. </p>
<h4 id="transfert-de-zone">Transfert de zone</h4>
<p>Le <strong>transfert de zone DNS</strong> &#xE9;galement connu de son <a href="https://fr.wikipedia.org/wiki/Opcode" target="_blank">opcode</a> <a href="https://fr.wikipedia.org/wiki/Mn&#xE9;motechnique" target="_blank">mn&#xE9;motechnique</a> <strong>AXFR</strong>, est un type de transaction <a href="https://fr.wikipedia.org/wiki/Domain_Name_System" target="_blank">DNS</a>. C&apos;est l&apos;un des nombreux m&#xE9;canismes disponibles pour r&#xE9;pliquer les bases de donn&#xE9;es distribu&#xE9;es contenant les donn&#xE9;es DNS au travers d&apos;un ensemble de serveurs DNS. Le transfert de zone peut &#xEA;tre effectu&#xE9; de deux mani&#xE8;res diff&#xE9;rentes : le transfert de zone complet (AXFR) ou le transfert de zone incr&#xE9;mental (IXFR).</p>
<p>Ci-dessous un exemple avec ubisoft</p>
<pre><code class="lang-bash">H@ckila 
[~] &#x1F985; &#x276F;&#x276F; dig axfr @195.22.144.124 ubisoft.fr                

; &lt;&lt;&gt;&gt; DiG 9.16.1-Ubuntu &lt;&lt;&gt;&gt; axfr @195.22.144.124 ubisoft.fr
; (1 server found)
;; global options: +cmd
; Transfer failed.
</code></pre>
<p>Une capture est disponible ici. </p>
<h4 id="bruteforce-dns">Bruteforce DNS</h4>
<p>Effectuer un bruteforce dns sur chaque domaine identifi&#xE9; a l&apos;aide d&apos;un dictionnaire dans l&apos;espoir d&apos;en d&#xE9;couvrir des valides. </p>
<p>Voici une liste de wordlists : </p>
<ul>
<li><a href="https://gist.github.com/jhaddix/86a06c5dc309d08580a018c66354a056" target="_blank">https://gist.github.com/jhaddix/86a06c5dc309d08580a018c66354a056</a></li>
<li><a href="https://wordlists-cdn.assetnote.io/data/manual/best-dns-wordlist.txt" target="_blank">https://wordlists-cdn.assetnote.io/data/manual/best-dns-wordlist.txt</a></li>
<li><a href="https://localdomain.pw/subdomain-bruteforce-list/all.txt.zip" target="_blank">https://localdomain.pw/subdomain-bruteforce-list/all.txt.zip</a></li>
<li><a href="https://github.com/pentester-io/commonspeak" target="_blank">https://github.com/pentester-io/commonspeak</a></li>
<li><a href="https://github.com/danielmiessler/SecLists/tree/master/Discovery/DNS" target="_blank">https://github.com/danielmiessler/SecLists/tree/master/Discovery/DNS</a></li>
</ul>
<p>Un outil qui peut &#xEA;tre utilis&#xE9; est <a href="https://github.com/blechschmidt/massdns" target="_blank">massdns</a>, il en existe de nombreux autres. </p>
<p>Ci-dessous un exemple avec Ubisoft :</p>
<pre><code class="lang-bash">dnsrecon <span class="hljs-_">-d</span> ubisoft.fr -D ~/Documents/WORDLISTS/SecLists/Discovery/DNS/deepmagic.com-prefixes-top500.txt -t brt
</code></pre>
<p>Une capture est disponible ici. </p>
<h4 id="bruteforce-scrs">Bruteforce SCRS</h4>
<p>Parfois, certaines pages web ne renvoient que l&apos;en-t&#xEA;te <strong><em>Access-Control-Allow-Origin\</em></strong> lorsqu&apos;un domaine/sous-domaine valide est d&#xE9;fini dans l&apos; en-t&#xEA;te <strong><em>Origin\</em></strong> . Dans ce cas, il est possible d&apos;abuser de ce comportement pour <strong>d&#xE9;couvrir</strong> de nouveaux <strong>sous-domaines</strong>.</p>
<p>Voici un exemple de commande pour exploiter ce type de vuln&#xE9;rabilit&#xE9;  :</p>
<pre><code>ffuf -w subdomains-top1million-5000.txt -u http://10.10.10.10 -H &apos;Origin: http://FUZZ.gatewatcher.com&apos; -mr &quot;Access-Control-Allow-Origin&quot; -ignore-body
</code></pre><h3 id="adresses-ips">Adresses IPs</h3>
<p><u>Objectifs :</u>  Collecter l&apos;ensemble des adresses ip de entreprise cibl&#xE9;e. </p>
<p>Gr&#xE2;ce aux &#xE9;tapes pr&#xE9;c&#xE9;dentes nous avons trouv&#xE9;  des plages d&apos;adresses IP, des domaines et des sous-domaines. A partir de ces &#xE9;l&#xE9;ments nous nous assurons pour chacun d&apos;avoir l&apos;ensemble des IPs correspondantes et nous dressons un tableau exhaustif.  </p>
<h3 id="serveurs-web">Serveurs Web</h3>
<p><u>objectifs :</u> D&#xE9;couvrir l&apos;ensemble des serveurs web dans le p&#xE9;rim&#xE8;tre cibl&#xE9;. </p>
<p>Il est possible de s&apos;appuyer sur masscan ou des outils comme httprobe ou httpx en ne ciblant que des ports connus pour &#xEA;tre d&#xE9;di&#xE9;s &#xE0; des services web.</p>
<h2 id="captures-r&#xE9;seaux-pcap">Captures R&#xE9;seaux (Pcap)</h2>
<h3 id="reverse-dns">Reverse DNS</h3>
<p>nom pcap : <strong>reverse_dns_ubisoft.pcap</strong></p>
<p>Sc&#xE9;nario : L&apos;attaquant effectue un reverse DNS sur un range d&apos;ip appartenant &#xE0; sa cible et se base sur les dns google ici. </p>
<ul>
<li>IP attaquante : 192.168.1.39</li>
<li>range d&apos;ips: 185.38.20.0/22</li>
<li>serveur dns utilis&#xE9; : 8.8.8.8</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">dnsrecon -r 185.38.20.0/22 -n 8.8.8.8
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste.</p>
<p>Dur&#xE9;e de la capture : 4.15 secondes.</p>
<h3 id="transfert-de-zone">Transfert de zone</h3>
<p>nom pcap : <strong>zone_transfer_failed.pcap</strong></p>
<p>Sc&#xE9;nario : L&apos;attaquant effectue un transfert de zone sur sa victime: la demande &#xE9;choue. </p>
<ul>
<li>IP attaquante : 192.168.1.39</li>
<li>IP du serveur DNS attaqu&#xE9; : 195.22.144.124</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">dig axfr @195.22.144.124 ubisoft.fr
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste mais de moins en moins courante sur les DNS connus car ils sont souvent bien configur&#xE9;s. </p>
<p>Dur&#xE9;e de la capture : 4.39 secondes.</p>
<p>nom pcap : <strong>zone_transfer_succeed.pcap</strong></p>
<p>Sc&#xE9;nario : L&apos;attaquant effectue un transfert de zone sur sa victime: la demande est accept&#xE9;e. </p>
<ul>
<li>IP attaquante : 192.168.1.39</li>
<li>IP du serveur DNS attaqu&#xE9; : 195.22.144.124</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">dig @challenge01.root-me.org -p 54011 AXFR ch11.challenge01.root-me.org
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste mais de moins en moins courante sur les DNS connus car ils sont souvent bien configur&#xE9;s. </p>
<p>Dur&#xE9;e de la capture : 12 secondes.</p>
<h3 id="bruteforce-dns">Bruteforce DNS</h3>
<h4 id="500-entr&#xE9;es">500 entr&#xE9;es</h4>
<p>nom pcap : <strong>domains_bruteforce_ubisoft.fr-500_entries.pcap</strong></p>
<p>Sc&#xE9;nario : l&apos;attaquant effectue une &#xE9;num&#xE9;ration de sous-domaines possibles en tentant de r&#xE9;soudre des nom de domaines probables &#xE0; partir d&apos;un dictionnaire. Ce dictionnaire est issu du d&#xE9;pot git <a href="https://github.com/danielmiessler/SecLists" target="_blank">SecLists</a> et contient 500 entr&#xE9;es. </p>
<ul>
<li>IP attaquante : 192.168.1.39</li>
<li>IP du serveur DNS attaqu&#xE9; : 195.22.144.124</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">dnsrecon <span class="hljs-_">-d</span> ubisoft.fr -D ~/Documents/WORDLISTS/SecLists/Discovery/DNS/deepmagic.com-prefixes-top500.txt -t brt
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste et courante, g&#xE9;n&#xE8;re beaucoup de bruit au niveau du dns. </p>
<p>Dur&#xE9;e de la capture : 150 secondes.</p>
<h4 id="5000-entr&#xE9;es">5000 entr&#xE9;es</h4>
<p>nom pcap : <strong>domains_bruteforce_ubisoft.fr-5000_entries.pcap</strong></p>
<p>Sc&#xE9;nario : l&apos;attaquant effectue une &#xE9;num&#xE9;ration de sous-domaines possibles en tentant de r&#xE9;soudre des nom de domaines probables &#xE0; partir d&apos;un dictionnaire. Ce dictionnaire est issu du d&#xE9;pot git <a href="https://github.com/danielmiessler/SecLists" target="_blank">SecLists</a> et contient 5000 entr&#xE9;es. </p>
<ul>
<li>IP attaquante : 192.168.1.39</li>
<li>IP du serveur DNS attaqu&#xE9; : 195.22.144.124</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">dnsrecon <span class="hljs-_">-d</span> ubisoft.fr -D ~/Documents/WORDLISTS/SecLists/Discovery/DNS/subdomains-top1million-5000.txt -t brt
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste et courante, g&#xE9;n&#xE8;re beaucoup de bruit au niveau du dns. </p>
<p>Dur&#xE9;e de la capture : 780 secondes / 13 minutes.</p>
<h4 id="scan-de-ports">Scan de ports</h4>
<h4 id="crawling-site-web">Crawling site web</h4>
<p>nom pcap : <strong>http_crawling_website.pcap</strong></p>
<p>Sc&#xE9;nario : un attaquant ou un robot effectue le crawling d&apos;un site web, exemple ici avec <a href="https://juice-shop.herokuapp.com/" target="_blank">https://juice-shop.herokuapp.com/</a>. </p>
<p>commande lanc&#xE9;e : Burpsuite en mode crawling sans scan. </p>
<p>R&#xE9;alisme : Tr&#xE8;s r&#xE9;aliste. </p>
<p>Dur&#xE9;e de la capture : 5000 secondes / 83 minutes.</p>
<h4 id="scanning-site-web">Scanning site web</h4>
<p>nom pcap : <strong>http_scanning_website.pcap</strong></p>
<p>Sc&#xE9;nario : un attaquant ou un robot effectue un scan automatis&#xE9; sur un site web, exemple ici avec ctf14.root-me.org. </p>
<p>commande lanc&#xE9;e : utilisation de l&apos;outil nikto. </p>
<pre><code class="lang-bash">H@ckila 
[~/TOOLS/nikto/program] (nikto-2.5.0) &#x1F985; &#x276F;&#x276F; ./nikto.pl -h http://ctf14.root-me.org
- Nikto v2.5.0
---------------------------------------------------------------------------
+ Target IP:          212.83.175.138
+ Target Hostname:    ctf14.root-me.org
+ Target Port:        80
+ Start Time:         2023-04-13 11:51:32 (GMT2)
---------------------------------------------------------------------------
+ Server: Apache/2.2.8 (Ubuntu) DAV/2
+ /: Retrieved x-powered-by header: PHP/5.2.4-2ubuntu5.10.
+ /: The anti-clickjacking X-Frame-Options header is not present. See: https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/X-Frame-Options
+ /: The X-Content-Type-Options header is not set. This could allow the user agent to render the content of the site <span class="hljs-keyword">in</span> a different fashion to the MIME type. See: https://www.netsparker.com/web-vulnerability-scanner/vulnerabilities/missing-content-type-header/
+ /index: Uncommon header <span class="hljs-string">&apos;tcn&apos;</span> found, with contents: list.
+ /index: Apache mod_negotiation is enabled with MultiViews, <span class="hljs-built_in">which</span> allows attackers to easily brute force file names. The following alternatives <span class="hljs-keyword">for</span> <span class="hljs-string">&apos;index&apos;</span> were found: index.php. See: http://www.wisec.it/sectou.php?id=4698ebdc59d15,https://exchange.xforce.ibmcloud.com/vulnerabilities/8275
+ Apache/2.2.8 appears to be outdated (current is at least Apache/2.4.54). Apache 2.2.34 is the EOL <span class="hljs-keyword">for</span> the 2.x branch.
+ /: Web Server returns a valid response with junk HTTP methods <span class="hljs-built_in">which</span> may cause <span class="hljs-literal">false</span> positives.
+ /: HTTP TRACE method is active <span class="hljs-built_in">which</span> suggests the host is vulnerable to XST. See: https://owasp.org/www-community/attacks/Cross_Site_Tracing
+ /phpinfo.php: Output from the phpinfo() <span class="hljs-keyword">function</span> was found.
+ /doc/: Directory indexing found.
+ /doc/: The /doc/ directory is browsable. This may be /usr/doc. See: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0678
+ /?=PHPB8B5F2A0-3C92-11d3-A3A9-4C7B08C10000: PHP reveals potentially sensitive information via certain HTTP requests that contain specific QUERY strings. See: OSVDB-12184
+ /?=PHPE9568F36-D428-11d2-A769-00AA001ACF42: PHP reveals potentially sensitive information via certain HTTP requests that contain specific QUERY strings. See: OSVDB-12184
+ /?=PHPE9568F34-D428-11d2-A769-00AA001ACF42: PHP reveals potentially sensitive information via certain HTTP requests that contain specific QUERY strings. See: OSVDB-12184
+ /?=PHPE9568F35-D428-11d2-A769-00AA001ACF42: PHP reveals potentially sensitive information via certain HTTP requests that contain specific QUERY strings. See: OSVDB-12184
+ /phpMyAdmin/changelog.php: phpMyAdmin is <span class="hljs-keyword">for</span> managing MySQL databases, and should be protected or limited to authorized hosts.
+ /phpMyAdmin/ChangeLog: Server may leak inodes via ETags, header found with file /phpMyAdmin/ChangeLog, inode: 92462, size: 40540, mtime: Tue Dec  9 18:24:00 2008. See: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1418
+ /phpMyAdmin/ChangeLog: phpMyAdmin is <span class="hljs-keyword">for</span> managing MySQL databases, and should be protected or limited to authorized hosts.
+ /<span class="hljs-built_in">test</span>/: Directory indexing found.
+ /<span class="hljs-built_in">test</span>/: This might be interesting.
+ /phpinfo.php: PHP is installed, and a <span class="hljs-built_in">test</span> script <span class="hljs-built_in">which</span> runs phpinfo() was found. This gives a lot of system information. See: CWE-552
+ /icons/: Directory indexing found.
+ /icons/README: Apache default file found. See: https://www.vntweb.co.uk/apache-restricting-access-to-iconsreadme/
+ /phpMyAdmin/: phpMyAdmin directory found.
+ /phpMyAdmin/Documentation.html: phpMyAdmin is <span class="hljs-keyword">for</span> managing MySQL databases, and should be protected or limited to authorized hosts.
+ /phpMyAdmin/README: phpMyAdmin is <span class="hljs-keyword">for</span> managing MySQL databases, and should be protected or limited to authorized hosts. See: https://typo3.org/
+ 8856 requests: 0 error(s) and 26 item(s) reported on remote host
+ End Time:           2023-04-13 11:52:57 (GMT2) (85 seconds)
---------------------------------------------------------------------------
+ 1 host(s) tested
</code></pre>
<p>R&#xE9;alisme : Tr&#xE8;s r&#xE9;aliste. </p>
<p>Dur&#xE9;e de la capture : 100 secondes / 1.60 minute.</p>
<h4 id="brute-force-site-web">Brute force site web</h4>
<p>nom pcap : <strong>http_bruteforce_panel_dvwa.pcap</strong></p>
<p>Sc&#xE9;nario : l&apos;attaquant effectue une tentative de brute force sur une mire d&apos;authentification. </p>
<ul>
<li>IP attaquante : 192.168.1.57</li>
<li>Adresse du site web attaqu&#xE9;e : ctf14.root-me.org</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">wfuzz -c  -w ~/Documents/WORDLISTS/SecLists/Passwords/darkweb2017-top1000.txt <span class="hljs-_">-d</span> <span class="hljs-string">&quot;username=admin&amp;password=FUZZ&amp;Login=Login&quot;</span> -Z --sc 200 http://ctf14.root-me.org/dvwa/login.php
********************************************************
* Wfuzz 2.4.5 - The Web Fuzzer                         *
********************************************************

Target: http://ctf14.root-me.org/dvwa/login.php
Total requests: 999

===================================================================
ID           Response   Lines    Word     Chars       Payload                                                                     ===================================================================

Total time: 9.228548
Processed Requests: 999
Filtered Requests: 999
Requests/sec.: 108.2510
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste et courante, g&#xE9;n&#xE8;re beaucoup de bruit sur le serveur web cibl&#xE9;. </p>
<p>Dur&#xE9;e de la capture : 10 secondes.</p>
<h2 id="analyse-gcenter">Analyse Gcenter</h2>
<p>Gcap : <code>gcap-dev-64-aha</code></p>
<p>Gcenter : <code>10.2.19.104</code></p>
<h3 id="reverse-dns">Reverse DNS</h3>
<p>La capture <code>reverse_dns_ubisoft.pcap</code> a &#xE9;t&#xE9; rejou&#xE9; sur le Gcenter.</p>
<p>Pour le besoin de l&apos;&#xE9;tude, l&apos;ip 192.168.1.39 a &#xE9;t&#xE9; consid&#xE9;r&#xE9;e comme ip externe. De la m&#xEA;me fa&#xE7;on le serveur dns 8.8.8.8 a &#xE9;t&#xE9; consid&#xE9;r&#xE9; comme interne lors du rejeu. </p>
<p>Aucune alerte n&apos;a &#xE9;t&#xE9; observ&#xE9;e. </p>
<p><img src="img/dns_reverse_gcenter_alert.png" alt="image-20230412160823568"></p>
<p><img src="img/dns_reverse_gcenter_kibana_metadata.png" alt="dns_reverse_gcenter_kibana_metadata"></p>
<p><img src="img/image-20230419094014696.png" alt="image-20230419094014696"></p>
<p><img src="img/reverse_dns_gcenter_kibana_ex_request.png" alt="reverse_dns_gcenter_kibana_ex_request"></p>
<h4 id="transfert-de-zone">Transfert de zone</h4>
<h5 id="failed">Failed</h5>
<p>nom pcap : <strong>zone_transfer_failed.pcap</strong></p>
<p>Sc&#xE9;nario : L&apos;attaquant effectue un transfert de zone sur sa victime: la demande &#xE9;choue. </p>
<ul>
<li>IP attaquante : 192.168.1.39</li>
<li>IP du serveur DNS attaqu&#xE9; : 195.22.144.124</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">dig axfr @195.22.144.124 ubisoft.fr
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste mais de moins en moins courante sur les DNS connus car ils sont souvent bien configur&#xE9;s. </p>
<p>Dur&#xE9;e de la capture : 4.39 secondes.</p>
<p>Pour le besoin du rejeu, nous avons configur&#xE9; le gcenter pour que 192.168.1.39 soit consid&#xE9;r&#xE9;e comme une ip externe et que le serveur dns 195.22.144.124 soit consid&#xE9;r&#xE9; comme interne.</p>
<p><img src="img/dns_axfr_failed_gcenter_alert.png" alt="dns_axfr_failed_gcenter_alert"></p>
<p><img src="img/dns_axfr_failed_metadata_dns.png" alt="dns_axfr_failed_metadata_dns"></p>
<p><img src="img/dns_axfr_failed_dns_rrtype_252.png" alt="dns_axfr_failed_dns_rrtype_252"></p>
<p>La liste des codes est consultables <a href="https://fr.wikipedia.org/wiki/Liste_des_enregistrements_DNS" target="_blank">ici.</a><img src="img/dns_axfr_failed_dns_refused.png" alt="dns_axfr_failed_dns_refused"> </p>
<p>On constate dans la r&#xE9;ponse que la demande est refus&#xE9;e de la part du serveur DNS. </p>
<h5 id="succeed">Succeed</h5>
<p>nom pcap : <strong>zone_transfer_succeed.pcap</strong></p>
<p>Sc&#xE9;nario : L&apos;attaquant effectue un transfert de zone sur sa victime: la demande est accept&#xE9;e. </p>
<ul>
<li>IP attaquante : 192.168.1.39</li>
<li>IP du serveur DNS attaqu&#xE9; : 195.22.144.124</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">dig @challenge01.root-me.org -p 54011 AXFR ch11.challenge01.root-me.org
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste mais de moins en moins courante sur les DNS connus car ils sont souvent bien configur&#xE9;s. </p>
<p>Dur&#xE9;e de la capture : 12 secondes.</p>
<p><img src="img/dns_axfr_failed_gcenter_alert.png" alt="dns_axfr_failed_gcenter_alert"></p>
<p>Rien dans les metadata.</p>
<p>nom pcap : <strong>domains_bruteforce_ubisoft.fr-5000_entries.pcap</strong></p>
<p>Sc&#xE9;nario : l&apos;attaquant effectue une &#xE9;num&#xE9;ration de sous-domaines possibles en tentant de r&#xE9;soudre des nom de domaines probables &#xE0; partir d&apos;un dictionnaire. Ce dictionnaire est issu du d&#xE9;pot git <a href="https://github.com/danielmiessler/SecLists" target="_blank">SecLists</a> et contient 5000 entr&#xE9;es. </p>
<ul>
<li>IP attaquante : 192.168.1.39</li>
<li>IP du serveur DNS attaqu&#xE9; : 195.22.144.124</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">dnsrecon <span class="hljs-_">-d</span> ubisoft.fr -D ~/Documents/WORDLISTS/SecLists/Discovery/DNS/subdomains-top1million-5000.txt -t brt
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste et courante, g&#xE9;n&#xE8;re beaucoup de bruit au niveau du dns. </p>
<p>Dur&#xE9;e de la capture : 780 secondes / 13 minutes.</p>
<p><img src="img/dns_bruteforce__gcenter_alert.png" alt="dns_bruteforce__gcenter_alert"></p>
<p><img src="img/dns_bruteforce_metadata.png" alt="dns_bruteforce_metadata"></p>
<h4 id="scan-de-ports">Scan de ports</h4>
<h4 id="crawling-site-web">Crawling site web</h4>
<p>nom pcap : http_crawling_website.pcap</p>
<p>Sc&#xE9;nario : un attaquant ou un robot effectue le crawling d&apos;un site web, exemple ici avec <a href="https://juice-shop.herokuapp.com/" target="_blank">https://juice-shop.herokuapp.com/</a>. </p>
<p>commande lanc&#xE9;e : Burpsuite en mode crawling sans scan. </p>
<p>R&#xE9;alisme : Tr&#xE8;s r&#xE9;aliste. </p>
<p>Dur&#xE9;e de la capture : 5000 secondes / 83 minutes.</p>
<p><img src="img/http_crawling_metadata.png" alt="http_crawling_metadata"></p>
<p><img src="img/http_crawling_metadata_2.png" alt="http_crawling_metadata_2"></p>
<p><img src="img/http_crawling_metadata_requetes.png" alt="http_crawling_metadata_requetes"></p>
<h4 id="scanning-site-web">Scanning site web</h4>
<p>nom pcap : <strong>http_scanning_website.pcap</strong></p>
<p>Sc&#xE9;nario : un attaquant ou un robot effectue un scan automatis&#xE9; sur un site web, exemple ici avec ctf14.root-me.org. </p>
<p>commande lanc&#xE9;e : utilisation de l&apos;outil nikto. </p>
<pre><code class="lang-bash">H@ckila 
[~/TOOLS/nikto/program] (nikto-2.5.0) &#x1F985; &#x276F;&#x276F; ./nikto.pl -h http://ctf14.root-me.org
- Nikto v2.5.0
---------------------------------------------------------------------------
+ Target IP:          212.83.175.138
+ Target Hostname:    ctf14.root-me.org
+ Target Port:        80
+ Start Time:         2023-04-13 11:51:32 (GMT2)
---------------------------------------------------------------------------
+ Server: Apache/2.2.8 (Ubuntu) DAV/2
+ /: Retrieved x-powered-by header: PHP/5.2.4-2ubuntu5.10.
+ /: The anti-clickjacking X-Frame-Options header is not present. See: https://developer.mozilla.org/en-US/docs/Web/HTTP/Headers/X-Frame-Options
+ /: The X-Content-Type-Options header is not set. This could allow the user agent to render the content of the site <span class="hljs-keyword">in</span> a different fashion to the MIME type. See: https://www.netsparker.com/web-vulnerability-scanner/vulnerabilities/missing-content-type-header/
+ /index: Uncommon header <span class="hljs-string">&apos;tcn&apos;</span> found, with contents: list.
+ /index: Apache mod_negotiation is enabled with MultiViews, <span class="hljs-built_in">which</span> allows attackers to easily brute force file names. The following alternatives <span class="hljs-keyword">for</span> <span class="hljs-string">&apos;index&apos;</span> were found: index.php. See: http://www.wisec.it/sectou.php?id=4698ebdc59d15,https://exchange.xforce.ibmcloud.com/vulnerabilities/8275
+ Apache/2.2.8 appears to be outdated (current is at least Apache/2.4.54). Apache 2.2.34 is the EOL <span class="hljs-keyword">for</span> the 2.x branch.
+ /: Web Server returns a valid response with junk HTTP methods <span class="hljs-built_in">which</span> may cause <span class="hljs-literal">false</span> positives.
+ /: HTTP TRACE method is active <span class="hljs-built_in">which</span> suggests the host is vulnerable to XST. See: https://owasp.org/www-community/attacks/Cross_Site_Tracing
+ /phpinfo.php: Output from the phpinfo() <span class="hljs-keyword">function</span> was found.
+ /doc/: Directory indexing found.
+ /doc/: The /doc/ directory is browsable. This may be /usr/doc. See: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-1999-0678
+ /?=PHPB8B5F2A0-3C92-11d3-A3A9-4C7B08C10000: PHP reveals potentially sensitive information via certain HTTP requests that contain specific QUERY strings. See: OSVDB-12184
+ /?=PHPE9568F36-D428-11d2-A769-00AA001ACF42: PHP reveals potentially sensitive information via certain HTTP requests that contain specific QUERY strings. See: OSVDB-12184
+ /?=PHPE9568F34-D428-11d2-A769-00AA001ACF42: PHP reveals potentially sensitive information via certain HTTP requests that contain specific QUERY strings. See: OSVDB-12184
+ /?=PHPE9568F35-D428-11d2-A769-00AA001ACF42: PHP reveals potentially sensitive information via certain HTTP requests that contain specific QUERY strings. See: OSVDB-12184
+ /phpMyAdmin/changelog.php: phpMyAdmin is <span class="hljs-keyword">for</span> managing MySQL databases, and should be protected or limited to authorized hosts.
+ /phpMyAdmin/ChangeLog: Server may leak inodes via ETags, header found with file /phpMyAdmin/ChangeLog, inode: 92462, size: 40540, mtime: Tue Dec  9 18:24:00 2008. See: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2003-1418
+ /phpMyAdmin/ChangeLog: phpMyAdmin is <span class="hljs-keyword">for</span> managing MySQL databases, and should be protected or limited to authorized hosts.
+ /<span class="hljs-built_in">test</span>/: Directory indexing found.
+ /<span class="hljs-built_in">test</span>/: This might be interesting.
+ /phpinfo.php: PHP is installed, and a <span class="hljs-built_in">test</span> script <span class="hljs-built_in">which</span> runs phpinfo() was found. This gives a lot of system information. See: CWE-552
+ /icons/: Directory indexing found.
+ /icons/README: Apache default file found. See: https://www.vntweb.co.uk/apache-restricting-access-to-iconsreadme/
+ /phpMyAdmin/: phpMyAdmin directory found.
+ /phpMyAdmin/Documentation.html: phpMyAdmin is <span class="hljs-keyword">for</span> managing MySQL databases, and should be protected or limited to authorized hosts.
+ /phpMyAdmin/README: phpMyAdmin is <span class="hljs-keyword">for</span> managing MySQL databases, and should be protected or limited to authorized hosts. See: https://typo3.org/
+ 8856 requests: 0 error(s) and 26 item(s) reported on remote host
+ End Time:           2023-04-13 11:52:57 (GMT2) (85 seconds)
---------------------------------------------------------------------------
+ 1 host(s) tested
</code></pre>
<p>R&#xE9;alisme : Tr&#xE8;s r&#xE9;aliste. </p>
<p>Dur&#xE9;e de la capture : 100 secondes / 1.60 minute.</p>
<p><img src="img/http_crawling_metadata.png" alt="http_crawling_metadata"></p>
<p><img src="img/http_crawling_metadata_2.png" alt="http_crawling_metadata_2"></p>
<h4 id="brute-force-site-web">Brute force site web</h4>
<p>nom pcap : <strong>http_bruteforce_panel_dvwa.pcap</strong></p>
<p>Sc&#xE9;nario : l&apos;attaquant effectue une tentative de brute force sur une mire d&apos;authentification. </p>
<ul>
<li>IP attaquante : 192.168.1.57</li>
<li>Adresse du site web attaqu&#xE9;e : ctf14.root-me.org</li>
</ul>
<p>commande lanc&#xE9;e : </p>
<pre><code class="lang-bash">wfuzz -c  -w ~/Documents/WORDLISTS/SecLists/Passwords/darkweb2017-top1000.txt <span class="hljs-_">-d</span> <span class="hljs-string">&quot;username=admin&amp;password=FUZZ&amp;Login=Login&quot;</span> -Z --sc 200 http://ctf14.root-me.org/dvwa/login.php
********************************************************
* Wfuzz 2.4.5 - The Web Fuzzer                         *
********************************************************

Target: http://ctf14.root-me.org/dvwa/login.php
Total requests: 999

===================================================================
ID           Response   Lines    Word     Chars       Payload                                                                                                                                           
===================================================================


Total time: 9.228548
Processed Requests: 999
Filtered Requests: 999
Requests/sec.: 108.2510
</code></pre>
<p>R&#xE9;alisme :  Attaque r&#xE9;aliste et courante, g&#xE9;n&#xE8;re beaucoup de bruit sur le serveur web cibl&#xE9;. </p>
<p>Dur&#xE9;e de la capture : 10 secondes.</p>
<p><img src="img/http_bruteforce.png" alt="http_bruteforce"></p>
<p><img src="img/http_bruteforce_metadata.png" alt="http_bruteforce_metadata"></p>
 <link rel="stylesheet" type="text/css" href="https://storage.googleapis.com/app.klipse.tech/css/codemirror.css"> <script>     window.klipse_settings = {         selector: ".language-klipse, .lang-eval-clojure",         selector_eval_js: ".lang-eval-js",         selector_eval_python_client: ".lang-eval-python",         selector_eval_php: ".lang-eval-php",         selector_eval_scheme: ".lang-eval-scheme",         selector_eval_ruby: ".lang-eval-ruby",         selector_reagent: ".lang-reagent",        selector_google_charts: ".lang-google-chart",        selector_es2017: ".lang-eval-es2017",        selector_jsx: ".lang-eval-jsx",        selector_transpile_jsx: ".lang-transpile-jsx",        selector_render_jsx: ".lang-render-jsx",        selector_react: ".lang-react",        selector_eval_markdown: ".lang-render-markdown",        selector_eval_lambdaway: ".lang-render-lambdaway",        selector_eval_cpp: ".lang-eval-cpp",        selector_eval_html: ".lang-render-html",        selector_sql: ".lang-eval-sql",        selector_brainfuck: "lang-eval-brainfuck",        selector_js: ".lang-transpile-cljs"    }; </script> <script src="https://storage.googleapis.com/app.klipse.tech/plugin/js/klipse_plugin.js"></script>
<script>console.log("plugin-popup....");document.onclick = function(e){ e.target.tagName === "IMG" && window.open(e.target.src,e.target.src)}</script><style>img{cursor:pointer}</style>
                                
                                </section>
                            
    </div>
    <div class="search-results">
        <div class="has-results">
            
            <h1 class="search-results-title"><span class='search-results-count'></span> results matching "<span class='search-query'></span>"</h1>
            <ul class="search-results-list"></ul>
            
        </div>
        <div class="no-results">
            
            <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
            
        </div>
    </div>
</div>

                        </div>
                    </div>
                
            </div>

            
                
                <a href="../redteam.html" class="navigation navigation-prev " aria-label="Previous page: Red Team">
                    <i class="fa fa-angle-left"></i>
                </a>
                
                
                <a href="../../../projets/phishing/phishing.html" class="navigation navigation-next " aria-label="Next page: Phishing">
                    <i class="fa fa-angle-right"></i>
                </a>
                
            
        
    </div>

    <script>
        var gitbook = gitbook || [];
        gitbook.push(function() {
            gitbook.page.hasChanged({"page":{"title":"Reconnaissance","level":"2.3.1","depth":2,"next":{"title":"Phishing","level":"3.1","depth":1,"path":"projets/phishing/phishing.md","ref":"projets/phishing/phishing.md","articles":[]},"previous":{"title":"Red Team","level":"2.3","depth":1,"path":"veille/redteam/redteam.md","ref":"veille/redteam/redteam.md","articles":[{"title":"Reconnaissance","level":"2.3.1","depth":2,"path":"veille/redteam/reconnaissance/reconnaissance.md","ref":"veille/redteam/reconnaissance/reconnaissance.md","articles":[]}]},"dir":"ltr"},"config":{"plugins":["chapter-fold","back-to-top-button","splitter","klipse","pageview-count","popup","custom-favicon","livereload"],"styles":{"website":"styles/website.css","pdf":"styles/pdf.css","epub":"styles/epub.css","mobi":"styles/mobi.css","ebook":"styles/ebook.css","print":"styles/print.css"},"pluginsConfig":{"chapter-fold":{},"livereload":{},"splitter":{},"search":{},"popup":{},"lunr":{"maxIndexSize":1000000,"ignoreSpecialCharacters":false},"fontsettings":{"theme":"white","family":"sans","size":2},"highlight":{},"favicon":"pic/nexmakerlogo.ico","back-to-top-button":{},"pageview-count":{},"custom-favicon":{},"klipse":{"myConfigKey":"it's the default value"},"sharing":{"facebook":true,"twitter":true,"google":false,"weibo":false,"instapaper":false,"vk":false,"all":["facebook","google","twitter","weibo","instapaper"]},"theme-default":{"styles":{"website":"styles/website.css","pdf":"styles/pdf.css","epub":"styles/epub.css","mobi":"styles/mobi.css","ebook":"styles/ebook.css","print":"styles/print.css"},"showLevel":false}},"theme":"default","pdf":{"pageNumbers":true,"fontSize":12,"fontFamily":"Arial","paperSize":"a4","chapterMark":"pagebreak","pageBreaksBefore":"/","margin":{"right":62,"left":62,"top":56,"bottom":56}},"structure":{"langs":"LANGS.md","readme":"README.md","glossary":"GLOSSARY.md","summary":"SUMMARY.md"},"variables":{},"title":"NexMaker-Fab","gitbook":"*"},"file":{"path":"veille/redteam/reconnaissance/reconnaissance.md","mtime":"2023-04-21T13:17:58.536Z","type":"markdown"},"gitbook":{"version":"3.2.3","time":"2023-04-21T13:21:01.413Z"},"basePath":"../../..","book":{"language":""}});
        });
    </script>
</div>

        
    <script src="../../../gitbook/gitbook.js"></script>
    <script src="../../../gitbook/theme.js"></script>
    
        
        <script src="../../../gitbook/gitbook-plugin-chapter-fold/chapter-fold.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-back-to-top-button/plugin.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-splitter/splitter.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-pageview-count/plugin.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-livereload/plugin.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-search/search-engine.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-search/search.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-lunr/lunr.min.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-lunr/search-lunr.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-sharing/buttons.js"></script>
        
    
        
        <script src="../../../gitbook/gitbook-plugin-fontsettings/fontsettings.js"></script>
        
    

    </body>
</html>

